@ECHO OFF
IF NOT EXIST DATA\LANGUAGE\*.* GOTO ERR1
IF EXIST DATA\LANGUAGE\*.BAK GOTO REST
ECHO.
ECHO.
ECHO Translating TOCA 2 to Dutch, proceed?
ECHO Press Y to continue or N to quit.
CHOICE /C:YN /N
IF ERRORLEVEL 2 GOTO END
ECHO.
ECHO Please wait a moment...
IF EXIST DATA\LANGUAGE\FRENCH.TXT GOTO FREN
IF EXIST DATA\LANGUAGE\GERMAN.TXT GOTO GERM
IF EXIST DATA\LANGUAGE\ITALIAN.TXT GOTO ITAL
IF EXIST DATA\LANGUAGE\SPANISH.TXT GOTO SPAN
IF NOT EXIST DATA\LANGUAGE\ENGLISH.TXT GOTO ERR5
ECHO  - Language is English
IF NOT EXIST DATA\LANGUAGE\ENGLISH.TXT GOTO ERR5
COPY DATA\LANGUAGE\ENGLISH.TXT DATA\LANGUAGE\ENGLISH.BAK
IF NOT EXIST DATA\LANGUAGE\ENGLISH.BAK GOTO ERR2
ECHO  - Backup created
DEL DATA\LANGUAGE\ENGLISH.TXT
IF EXIST DATA\LANGUAGE\ENGLISH.TXT GOTO ERR3
ECHO  - Replacing file
COPY NEDERLND.TXT DATA\LANGUAGE\ENGLISH.TXT
IF NOT EXIST DATA\LANGUAGE\ENGLISH.TXT GOTO ERR4
ECHO  - File replaced
GOTO ENDGOOD
:SPAN
ECHO  - Language is Spanish
IF NOT EXIST DATA\LANGUAGE\SPANISH.TXT GOTO ERR5
COPY DATA\LANGUAGE\SPANISH.TXT DATA\LANGUAGE\SPANISH.BAK
IF NOT EXIST DATA\LANGUAGE\SPANISH.BAK GOTO ERR2
ECHO  - Backup created
DEL DATA\LANGUAGE\SPANISH.TXT
IF EXIST DATA\LANGUAGE\SPANISH.TXT GOTO ERR3
ECHO  - Replacing file
COPY NEDERLND.TXT DATA\LANGUAGE\SPANISH.TXT
IF NOT EXIST DATA\LANGUAGE\SPANISH.TXT GOTO ERR4
ECHO  - File replaced
GOTO ENDGOOD
:ITAL
ECHO  - Language is Italian
IF NOT EXIST DATA\LANGUAGE\ITALIAN.TXT GOTO ERR5
COPY DATA\LANGUAGE\ITALIAN.TXT DATA\LANGUAGE\ITALIAN.BAK
IF NOT EXIST DATA\LANGUAGE\ITALIAN.BAK GOTO ERR2
ECHO  - Backup created
DEL DATA\LANGUAGE\ITALIAN.TXT
IF EXIST DATA\LANGUAGE\ITALIAN.TXT GOTO ERR3
ECHO  - Replacing file
COPY NEDERLND.TXT DATA\LANGUAGE\ITALIAN.TXT
IF NOT EXIST DATA\LANGUAGE\ITALIAN.TXT GOTO ERR4
ECHO  - File replaced
GOTO ENDGOOD
:GERM
ECHO  - Language is German
IF NOT EXIST DATA\LANGUAGE\GERMAN.TXT GOTO ERR5
COPY DATA\LANGUAGE\GERMAN.TXT DATA\LANGUAGE\GERMAN.BAK
IF NOT EXIST DATA\LANGUAGE\GERMAN.BAK GOTO ERR2
ECHO  - Backup created
DEL DATA\LANGUAGE\GERMAN.TXT
IF EXIST DATA\LANGUAGE\GERMAN.TXT GOTO ERR3
ECHO  - Replacing file
COPY NEDERLND.TXT DATA\LANGUAGE\GERMAN.TXT
IF NOT EXIST DATA\LANGUAGE\GERMAN.TXT GOTO ERR4
ECHO  - File replaced
GOTO ENDGOOD
:FREN
ECHO  - Language is French
IF NOT EXIST DATA\LANGUAGE\FRENCH.TXT GOTO ERR5
COPY DATA\LANGUAGE\FRENCH.TXT DATA\LANGUAGE\FRENCH.BAK
IF NOT EXIST DATA\LANGUAGE\FRENCH.BAK GOTO ERR2
ECHO  - Backup created
DEL DATA\LANGUAGE\FRENCH.TXT
IF EXIST DATA\LANGUAGE\FRENCH.TXT GOTO ERR3
ECHO  - Replacing file
COPY NEDERLND.TXT DATA\LANGUAGE\FRENCH.TXT
IF NOT EXIST DATA\LANGUAGE\FRENCH.TXT GOTO ERR4
ECHO  - File replaced
GOTO ENDGOOD
:REST
ECHO.
ECHO.
ECHO Restoring to your old language file, proceed?
ECHO Press Y to continue or N to quit.
CHOICE /C:YN /N
IF ERRORLEVEL 2 GOTO END
ECHO.
ECHO Please wait a moment...
IF EXIST DATA\LANGUAGE\ENGLISH.BAK GOTO RESTE
IF EXIST DATA\LANGUAGE\FRENCH.BAK GOTO RESTF
IF EXIST DATA\LANGUAGE\GERMAN.BAK GOTO RESTG
IF EXIST DATA\LANGUAGE\ITALIAN.BAK GOTO RESTI
IF NOT EXIST DATA\LANGUAGE\SPANISH.BAK GOTO ERR6
ECHO  - Language is Spanish
DEL DATA\LANGUAGE\SPANISH.TXT
IF EXIST DATA\LANGUAGE\SPANISH.TXT GOTO ERR7
ECHO  - Dutch language file deleted
COPY DATA\LANGUAGE\SPANISH.BAK DATA\LANGUAGE\SPANISH.TXT
IF NOT EXIST DATA\LANGUAGE\SPANISH.TXT GOTO ERR8
ECHO  - File replaced
DEL DATA\LANGUAGE\SPANISH.BAK
IF EXIST DATA\LANGUAGE\SPANISH.BAK GOTO ERR9
ECHO  - Backup file deleted
GOTO RESTGOOD
:RESTE
ECHO  - Language is English
DEL DATA\LANGUAGE\ENGLISH.TXT
IF EXIST DATA\LANGUAGE\ENGLISH.TXT GOTO ERR7
ECHO  - Dutch language file deleted
COPY DATA\LANGUAGE\ENGLISH.BAK DATA\LANGUAGE\ENGLISH.TXT
IF NOT EXIST DATA\LANGUAGE\ENGLISH.TXT GOTO ERR8
ECHO  - File replaced
DEL DATA\LANGUAGE\ENGLISH.BAK
IF EXIST DATA\LANGUAGE\ENGLISH.BAK GOTO ERR9
ECHO  - Backup file deleted
GOTO RESTGOOD
:RESTI
ECHO  - Language is Italian
DEL DATA\LANGUAGE\ITALIAN.TXT
IF EXIST DATA\LANGUAGE\ITALIAN.TXT GOTO ERR7
ECHO  - Dutch language file deleted
COPY DATA\LANGUAGE\ITALIAN.BAK DATA\LANGUAGE\ITALIAN.TXT
IF NOT EXIST DATA\LANGUAGE\ITALIAN.TXT GOTO ERR8
ECHO  - File replaced
DEL DATA\LANGUAGE\ITALIAN.BAK
IF EXIST DATA\LANGUAGE\ITALIAN.BAK GOTO ERR9
ECHO  - Backup file deleted
GOTO RESTGOOD
:RESTF
ECHO  - Language is French
DEL DATA\LANGUAGE\FRENCH.TXT
IF EXIST DATA\LANGUAGE\FRENCH.TXT GOTO ERR7
ECHO  - Dutch language file deleted
COPY DATA\LANGUAGE\FRENCH.BAK DATA\LANGUAGE\FRENCH.TXT
IF NOT EXIST DATA\LANGUAGE\FRENCH.TXT GOTO ERR8
ECHO  - File replaced
DEL DATA\LANGUAGE\FRENCH.BAK
IF EXIST DATA\LANGUAGE\FRENCH.BAK GOTO ERR9
ECHO  - Backup file deleted
GOTO RESTGOOD
:RESTG
ECHO  - Language is German
DEL DATA\LANGUAGE\GERMAN.TXT
IF EXIST DATA\LANGUAGE\GERMAN.TXT GOTO ERR7
ECHO  - Dutch language file deleted
COPY DATA\LANGUAGE\GERMAN.BAK DATA\LANGUAGE\GERMAN.TXT
IF NOT EXIST DATA\LANGUAGE\GERMAN.TXT GOTO ERR8
ECHO  - File replaced
DEL DATA\LANGUAGE\GERMAN.BAK
IF EXIST DATA\LANGUAGE\GERMAN.BAK GOTO ERR9
ECHO  - Backup file deleted
GOTO RESTGOOD
:ERR1
ECHO.
ECHO.
ECHO ERROR: Coudn't find the right directory!
ECHO   Check if you've unzipped the files in your \TOCA2\ directory
ECHO   and not anywhere else!
ECHO   No files were changed.
GOTO END
:ERR4
ECHO.
ECHO.
ECHO ERROR: Coudn't make new language file!
ECHO   The making of the new file failed, so now you only have a
ECHO   backup file. Rename this one to the old filename and
ECHO   everything is back to the old situation.
GOTO END
:ERR3
ECHO.
ECHO.
ECHO ERROR: Coudn't delete old language file!
ECHO   To replace the file with the new one, the old file must be
ECHO   deleted. This failed. So, now you have a backup file and an
ECHO   old language file. You may delete the backup file.
GOTO END
:ERR5
ECHO.
ECHO.
ECHO ERROR: Coudn't find language file!
ECHO   The program tried to detect the language file, but failed.
ECHO   Language file can not be installed. Mail Jurrie Overgoor
ECHO   about this at: Jurrie1@fcmail.com. Thanks in advance!
ECHO   No files were changed.
GOTO END
:ERR2
ECHO.
ECHO.
ECHO ERROR: Coudn't create backup file!
ECHO   Before the new file is replaced, a backup file was created.
ECHO   However, this failed. So, no files have been changed.
GOTO END
:ERR6
ECHO.
ECHO.
ECHO ERROR: Coudn't find backup file!
ECHO   To restore your language file, the backup file must be
ECHO   present. However, it was not found. Maybe you deleted the
ECHO   backup file?
ECHO   No files have been changed, the game is still partially
ECHO   Dutch.
GOTO END
:ERR7
ECHO.
ECHO.
ECHO ERROR: Coudn't find backup file!
ECHO   To restore your language file, the Dutch language file
ECHO   must be deleted. However, this failed.
ECHO   No files have been changed, the game is still partially
ECHO   Dutch.
GOTO END
:ERR8
ECHO.
ECHO.
ECHO ERROR: Coudn't create language file!
ECHO   To restore your language file, the original language file
ECHO   must be created. However, this failed. So, now you only
ECHO   have a backup file. Rename this one to the old filename
ECHO   and everything is back to the old situation.
GOTO END
:ERR9
ECHO.
ECHO.
ECHO ERROR: Coudn't delete bakcup file!
ECHO   The backup file is still there. This file is useless now,
ECHO   so you may delete it if you wish.
GOTO END
:RESTGOOD
ECHO.
ECHO.
ECHO Operation was succesfull!!
ECHO Now, TOCA 2 should be translated into your old language again.
GOTO END
:ENDGOOD
ECHO.
ECHO.
ECHO Operation was succesfull!!
ECHO Now, TOCA 2 should be partially translated into Dutch.
ECHO.
ECHO NOTE: Not the wole game is translated, the beginningscreens are
ECHO       still your normal language.
:END
ECHO.
ECHO Now exiting... Press a key
PAUSE>NUL
